## visad.data.in
Class ValueVetter

    java.lang.Object
      visad.data.in.ValueProcessor
          visad.data.in.ValueVetter

Direct Known Subclasses:
  DoubleValueVetter, MultipleValueVetter, SingleValueVetter

public abstract class ValueVetter
extends ValueProcessor

Provides support for verifying data values (i.e. seeing that they aren't equal to one or more special values).

Instances are immutable.

Field Summary

Fields inherited from class visad.data.in.ValueProcessor
`trivialProcessor`

Constructor Summary
`protected` `ValueVetter()` Constructs from nothing.

Method Summary
`static ValueVetter` `valueVetter(double[] values)` Returns an instance of this class given an array of special values.

Methods inherited from class visad.data.in.ValueProcessor
`process, process, process, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueVetter

    protected ValueVetter()

  Constructs from nothing.

Method Detail

### valueVetter

    public static ValueVetter valueVetter(double[] values)

  Returns an instance of this class given an array of special values. If the trivial vetter can be returned, then it is. During processing, if a value to be processed equals a special value, then it is replaced with a NaN.

  Parameters:
    `values` - The special values. May be `null`. Elements may be NaN. The array might not be cloned and might be reordered.